﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace CustomDockingPanesFactory
{
    public class ExampleViewModel : ViewModelBase
    {
        private ObservableCollection<MyRadDocking> dockingControls;
        private MyRadDocking selectedDocking;

        public ExampleViewModel()
        {
            this.DockingControls = new ObservableCollection<MyRadDocking>();
            this.DockingControls.Add(new MyRadDocking());
            this.DockingControls.Add(new MyRadDocking());
            this.DockingControls.Add(new MyRadDocking());
            this.SelectedDocking = this.DockingControls[0];
        }

        /// <summary>
        /// Gets or sets SelectedDocking and notifies for changes
        /// </summary>
        public MyRadDocking SelectedDocking
        {
            get
            {
                return this.selectedDocking;
            }

            set
            {
                if (this.selectedDocking != value)
                {
                    this.selectedDocking = value;
                    this.OnPropertyChanged(() => this.SelectedDocking);
                }
            }
        }

        /// <summary>
        /// Gets or sets DockingControls and notifies for changes
        /// </summary>
        public ObservableCollection<MyRadDocking> DockingControls
        {
            get
            {
                return this.dockingControls;
            }

            set
            {
                if (this.dockingControls != value)
                {
                    this.dockingControls = value;
                    this.OnPropertyChanged(() => this.DockingControls);
                }
            }
        }
    }
}
